Summary:	Universal Text Recognizer and Converter
Name:		utrac
Version:	0.3.0
Release:	%mkrel 16
License:	GPLv2
Group:		File tools
URL:		https://utrac.sourceforge.net/
Source0:	https://utrac.sourceforge.net/download/utrac-%{version}.tar.bz2
Patch0:		utrac-fix-long-64bit.diff

%description
UTRAC stands for Universal Text Recognizer and Converter. It is a command line
tool and a library that recognize the encoding of an input file (ex: UTF-8,
ISO-8859-1, CP437...) and its end-of-line type (CR, LF, CRLF). 

%prep

%setup -q
%patch -P 0 -p1

perl -pi -e "s|/usr/local|%{_prefix}|g" Makefile
perl -pi -e "s|/lib|/%{_lib}|g" Makefile
perl -pi -e "s|/man/man1|/share/man/man1|g" Makefile

# Use Mageia flags.
sed -e "s/CFLAGS =/CFLAGS ?=/;s/LIBS = -lm/LIBS = \$(LDFLAGS) -lm/" -i Makefile
# Fix build with gcc15 - no bool typedef for C23.
sed -e "/ifndef __cplusplus/{n;N;N;d}" -i utrac.h

%build
%make_build

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/utrac
install -d %{buildroot}%{_mandir}/man1

install -m0755 utrac %{buildroot}%{_bindir}/
install -m0644 charsets.dat %{buildroot}%{_datadir}/utrac/
install -m0644 utrac.1 %{buildroot}%{_mandir}/man1/

%files
%license COPYING
%doc CHANGES CREDITS README TODO doc/*.xml
%dir %{_datadir}/utrac
%{_bindir}/utrac
%{_datadir}/utrac/charsets.dat
%{_mandir}/man1/*


%changelog
* Tue Jun 10 2025 daviddavid <daviddavid> 0.3.0-16.mga10
+ Revision: 2190258
- fix build with gcc15 (thanks to Aurelian R)

* Sun Dec 22 2024 pterjan <pterjan> 0.3.0-15.mga10
+ Revision: 2128237
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 0.3.0-14.mga9
+ Revision: 1792408
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.0-13.mga8
+ Revision: 1517744
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-12.mga7
+ Revision: 1301557
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.3.0-11.mga6
+ Revision: 941371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-10.mga5
+ Revision: 747821
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.0-9.mga5
+ Revision: 730700
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-8.mga5
+ Revision: 690110
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-7.mga4
+ Revision: 522169
- Mageia 4 Mass Rebuild

* Sun Feb 10 2013 neoclust <neoclust> 0.3.0-6.mga3
+ Revision: 397724
- imported package utrac


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-6mdv2010.0
+ Revision: 434623
- rebuild

* Sat Sep 13 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-5mdv2009.0
+ Revision: 284528
- fix #35379 (utrac segmentation fault)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-3mdv2009.0
+ Revision: 255274
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.0-1mdv2008.1
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import utrac


* Tue Sep 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2007.0
- rebuild

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdk
- initial Mandriva package
